Agda-2.2.10: A dependently typed functional programming language and proof assistant

Agda.TypeChecking.Rules.LHS.Instantiate

Synopsis

- instantiateTel :: MonadTCM tcm => Substitution -> Telescope -> tcm (Telescope, Permutation, [Term], [Type])
- nothingToSplitError :: Problem -> TCM a

# Documentation

instantiateTel :: MonadTCM tcm => Substitution -> Telescope -> tcm (Telescope, Permutation, [Term], [Type])

Instantiate a telescope with a substitution. Might reorder the telescope. `instantiateTel ( : Tel)( : --> ) = ~` Monadic only for debugging purposes.

nothingToSplitError :: Problem -> TCM a

Produce a nice error message when splitting failed